Get information about an attachment
1 min
GET
https://api.campaign.episerver.net/rest/{clientId}/attachments/{attachmentId}
Path Parameters
- clientIdstringrequiredDescription
- attachmentIdinteger<int64>requiredDescriptionFormatint64
Header Parameters
- acceptstringDescriptionDefaultapplication/jsonAllowedapplication/jsonapplication/vnd.optivo.broadmail.v1+json
Responses
200
- RestAttachment
- idinteger<int64>DescriptionFormatint64
- ownerinteger<int64>DescriptionFormatint64
- namestringDescription
- uploadedbooleanDescription
- fileNamestringDescription
- typestringDescription
- mimeTypestringDescription
- sizeinteger<int64>DescriptionFormatint64
- createdstring<date-time>DescriptionFormatdate-time
- modifiedstring<date-time>DescriptionFormatdate-time
- linksobject[]
- uriBuilderobject
- relsstring[]
- relstring
- typestring
- paramsmap<string, string>
- titlestring
- uristring<uri>Formaturi
curl
curl --request GET \
--url https://api.campaign.episerver.net/rest/{clientId}/attachments/{attachmentId} \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.campaign.episerver.net/rest/{clientId}/attachments/{attachmentId}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.campaign.episerver.net/rest/{clientId}/attachments/{attachmentId}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.campaign.episerver.net/rest/{clientId}/attachments/{attachmentId}"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// The attachment was retrieved successfully.
{
"id": "",
"owner": "",
"name": "",
"uploaded": false,
"fileName": "",
"type": "",
"mimeType": "",
"size": "",
"created": "",
"modified": "",
"links": [
{
"uriBuilder": {},
"rels": [
""
],
"rel": "",
"type": "",
"params": "",
"title": "",
"uri": ""
}
]
}